package com.philisense.www.dao.impl;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.philisense.www.dao.SystemNoticeFileDAO;
import com.philisense.www.mapper.SystemNoticeFileMapper;

import java.util.List;
import java.util.Map;

@Repository
public class SystemNoticeFileDAOImpl implements SystemNoticeFileDAO {

        @Autowired
        private SystemNoticeFileMapper systemNoticeFileMapper;

        @Override
        public int deleteByPrimaryKey(String id) {
            return systemNoticeFileMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return systemNoticeFileMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return systemNoticeFileMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return systemNoticeFileMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return systemNoticeFileMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return systemNoticeFileMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return systemNoticeFileMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return systemNoticeFileMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return systemNoticeFileMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return systemNoticeFileMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            systemNoticeFileMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            systemNoticeFileMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            systemNoticeFileMapper.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> getApprovalTopToHomePage(Map<String, Object> map) {
        return systemNoticeFileMapper.getApprovalTopToHomePage(map);
    }

    @Override
    public List<Map<String, Object>> getBatch(List<Map<String, Object>> list) {
        return systemNoticeFileMapper.getBatch(list);
    }
}
